<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>IsvgTemplate</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IsvgTemplate";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.template</a></div>
<h2 title="Class IsvgTemplate" class="title">Class IsvgTemplate</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.david.template.IsvgTemplate</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public final class <span class="typeNameLabel">IsvgTemplate</span>
extends java.lang.Object</pre>
<div class="block">template insert utility class for isvg files.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CIRCLE_TMPL">CIRCLE_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">circle template.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ELLIPSE_TMPL">ELLIPSE_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">ellipse template.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ISEN_MAGIC_TMPL">ISEN_MAGIC_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">isen magic template.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ISVG_TMPL">ISVG_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">xml and svg template.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LINE_TMPL">LINE_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">line template.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#POLYGONE_TMPL">POLYGONE_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">polygon template.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#POLYLINE_TMPL">POLYLINE_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">polyline template.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RECT_TMPL">RECT_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">rectangle template.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_TMPL">TEXT_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">text template.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TRANSFORM_TMPL">TRANSFORM_TMPL</a></span></code></th>
<td class="colLast">
<div class="block">g transform.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.awt.event.ActionListener</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createActionListener(javax.swing.JTextPane,java.lang.String)">createActionListener</a></span>&#8203;(javax.swing.JTextPane&nbsp;container,
                    java.lang.String&nbsp;template)</code></th>
<td class="colLast">
<div class="block">create an action listener to insert a template in a container.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insert(javax.swing.JTextPane,java.lang.String)">insert</a></span>&#8203;(javax.swing.JTextPane&nbsp;container,
      java.lang.String&nbsp;template)</code></th>
<td class="colLast">
<div class="block">insert in a JTextPane a string template.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="ISVG_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ISVG_TMPL</h4>
<pre>public static final&nbsp;java.lang.String ISVG_TMPL</pre>
<div class="block">xml and svg template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.ISVG_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="RECT_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RECT_TMPL</h4>
<pre>public static final&nbsp;java.lang.String RECT_TMPL</pre>
<div class="block">rectangle template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.RECT_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ELLIPSE_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ELLIPSE_TMPL</h4>
<pre>public static final&nbsp;java.lang.String ELLIPSE_TMPL</pre>
<div class="block">ellipse template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.ELLIPSE_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TRANSFORM_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSFORM_TMPL</h4>
<pre>public static final&nbsp;java.lang.String TRANSFORM_TMPL</pre>
<div class="block">g transform.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.TRANSFORM_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CIRCLE_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CIRCLE_TMPL</h4>
<pre>public static final&nbsp;java.lang.String CIRCLE_TMPL</pre>
<div class="block">circle template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.CIRCLE_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="LINE_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINE_TMPL</h4>
<pre>public static final&nbsp;java.lang.String LINE_TMPL</pre>
<div class="block">line template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.LINE_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="POLYLINE_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>POLYLINE_TMPL</h4>
<pre>public static final&nbsp;java.lang.String POLYLINE_TMPL</pre>
<div class="block">polyline template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.POLYLINE_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="POLYGONE_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>POLYGONE_TMPL</h4>
<pre>public static final&nbsp;java.lang.String POLYGONE_TMPL</pre>
<div class="block">polygon template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.POLYGONE_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_TMPL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_TMPL</h4>
<pre>public static final&nbsp;java.lang.String TEXT_TMPL</pre>
<div class="block">text template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.TEXT_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ISEN_MAGIC_TMPL">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ISEN_MAGIC_TMPL</h4>
<pre>public static final&nbsp;java.lang.String ISEN_MAGIC_TMPL</pre>
<div class="block">isen magic template.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.david.template.IsvgTemplate.ISEN_MAGIC_TMPL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="insert(javax.swing.JTextPane,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;insert&#8203;(javax.swing.JTextPane&nbsp;container,
                          java.lang.String&nbsp;template)</pre>
<div class="block">insert in a JTextPane a string template.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>container</code> - container that will contain the string.</dd>
<dd><code>template</code> - template string</dd>
</dl>
</li>
</ul>
<a id="createActionListener(javax.swing.JTextPane,java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createActionListener</h4>
<pre class="methodSignature">public static&nbsp;java.awt.event.ActionListener&nbsp;createActionListener&#8203;(javax.swing.JTextPane&nbsp;container,
                                                                 java.lang.String&nbsp;template)</pre>
<div class="block">create an action listener to insert a template in a container.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>container</code> - container that will contain the string</dd>
<dd><code>template</code> - string to insert</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ActionListener</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
